[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumn.DisplayFormat

The format to be used for display in this column.

## Declaration

Source position: dbgrids.pas line 291

`published property TColumn.DisplayFormat : string read GetDisplayFormat write SetDisplayFormat stored IsDisplayFormatStored;`

## Description

DisplayFormat is a String property which specifies a format string used for displaying the value of a Field with the name in FieldName. Use of DisplayFormat in TColumn is consistent with its use in TField (and descendants), but can assign a value that overrides the default display format for the Field.

GetDisplayFormat is the read access specifier for the property. SetDisplayFormat is the write access specifier for the property. Changing the value in DisplayFormat causes the ColumnChanged method to be called when the column definition has been updated.